 /* 
  * UAE - The Un*x Amiga Emulator
  * 
  * Support for DOS soundcards
  * 
  * Copyright 1996, 1997 <whoever_it_was_fill_in_your_name_here>
  */

extern uae_u16 sndbuffer[];
extern uae_u16 *sndbufpt;
extern int sndbufsize;

extern void (*SND_Write)(void *buf, unsigned long size);  // Pointer to function that plays data on card

static __inline__ void flush_sound_buffer(void)
{
    SND_Write(sndbuffer, sndbufsize);
    sndbufpt = sndbuffer;
}

static __inline__ void check_sound_buffers (void)
{
    if ((char *)sndbufpt - (char *)sndbuffer >= sndbufsize) {
	flush_sound_buffer();
    }
}

/* Gustavo: do farnspokeb etc magic here */
#define PUT_SOUND_BYTE(b) do { *(uae_u8 *)sndbufpt = b; sndbufpt = (uae_u16 *)(((uae_u8 *)sndbufpt) + 1); } while (0)
#define PUT_SOUND_WORD(b) do { *(uae_u16 *)sndbufpt = b; sndbufpt = (uae_u16 *)(((uae_u8 *)sndbufpt) + 2); } while (0)
#define SOUND16_BASE_VAL 0
#define SOUND8_BASE_VAL 0

#define DEFAULT_SOUND_BSIZ 8192
#define DEFAULT_SOUND_BITS 16
#define DEFAULT_SOUND_FREQ 44100

#undef DONT_WANT_SOUND
